Subject: [kitten] draft-melnikov-scram-2fa is adopted (with stipulations)

From: Robbie Harwood <[email-masked]>
Date: Fri, 07 Jan 2022 13:51:45 -0500

Hi kitten,

Based on the feedback in "Requesting WG adoption of several SCRAM
related documents", I believe we have consensus to adopt the SCRAM 2FA
extension, with the understanding that to address concerns raised,
kitten needs to consider the problem of re-authentication/resumption.
(This could be something like draft-cridland-kitten-clientkey or
draft-schmaus-kitten-sasl-ht, or something not yet written - that will
need to be decided.)

Discussion suggests that there is support for SCRAM-SHA512 and
SCRAM-SHA3 work, but they are not adopted at this time.  (They were not
part of Alexey's final proposal.  Additionally, there was not clear
consensus about concerns raised and how/whether to address them, though
there does appear to be WG interest.)

Be well,
--Robbie